## qt4-x11 4.7.3

=== debian/changelog ===
qt4-x11 (4:4.7.3-8) unstable; urgency=low

  [ Pino Toscano ]
  * Use the linux-g++ mkspec on alpha and ia64. (Closes: #640981)

  [ Sune Vuorela ]
  * Switch to firebird 2.5 given that 2.1 is currently broken.
  * Add diginotar blacklists patches, taken from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Sep 2011 12:34:54 +0200

qt4-x11 (4:4.7.3-7) unstable; urgency=low

  [ Pino Toscano ]
  * Use DEB_HOST_ARCH_BITS to really detect 64bit architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Aug 2011 14:00:11 +0200

qt4-x11 (4:4.7.3-6) unstable; urgency=low

  [ Pino Toscano ]
  * Add patch Check-if-the-interpolators-have-already-been-deleted.patch
    to fix QVariantAnimation::registerInterpolator() crash during global dtors
    run. (Closes: #635724)
  * Add patch s390x_jscore.diff to add s390/s390x support in JavaScriptCore.
    (Closes: #636544)
  * Compile using the linux-g++-64 mkspec on s390x.
  * Improve wording in description of qt4-qmlviewer.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Aug 2011 18:27:34 +0200

qt4-x11 (4:4.7.3-5) unstable; urgency=low

  [ Fathi Boudra ]
  * Add support for vendor specifics in debian/rules.

  [ Pino Toscano ]
  * Revert the switch to GL ES 2 on armel and armhf architectures for now,
    as it is binary incompatible and creates issues with code explicitly
    using GL API. (Closes: #632602)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Jul 2011 03:42:41 +0300

qt4-x11 (4:4.7.3-4) unstable; urgency=low

  * Update Fix_fontconfig_usage_in_X11_font_database.patch to fix crashes in
    various Qt/KDE applications. (Closes: #631652)

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Jun 2011 21:22:37 +0300

qt4-x11 (4:4.7.3-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Split Qt debug package a bit more: introduce libqt4-designer-dbg,
    libqt4-qt3support-dbg, libqt4-script-dbg and qt4-bin-dbg packages.
  * Add libqt4-dev-private package: ship Qt private headers to build Qt Creator
    QML Designer plugin.
  * Add rsync build dependency (easy way to preserve relative path names).
  * Add missing epoch for qt4-linguist-tools Breaks/Replaces. (Closes: #630917)
  * Add patches:
    - Take_Xft.hintstyle_by_default_to_match_the_behavior_of_GTK+.patch
    - Fix_fontconfig_usage_in_X11_font_database.patch

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 20 Jun 2011 15:29:58 +0300

qt4-x11 (4:4.7.3-2) unstable; urgency=low

  * Add patches:
    - Fixed_bug_in_X11_backend_when_creating_translucent_windows.patch
    - Fix_builds_with_compilers_without_--with-fpu_neon_as_default.patch
      NEON_SOURCES would be (incorrectly) compiled without -mfpu=neon,
      resulting in build failure. This also moves -mfpu=neon after CXXFLAGS,
      as CXXFLAGS may contain -mfpu=vfpv3-d16.
    - armv6_Include_explicitly_IT_instructions.patch
    - armv6_Add_support_for_ARMv7_atomic_operations.patch, instead of GCC
      intrinsics patch for armhf.
  * Build Qt with GL ES 2 on armel and armhf architectures:
    - debian/control: add libgles2-mesa-dev | libgles2-dev build-dependencies.
    - debian/rules: pass -opengl es2 configure option.
  * Add a separate package for lupdate and lrelease: qt4-linguist-tools.
    (Closes: #629282)

  [Ana Beatriz Guerrero Lopez]
  * Remove myself from Uploaders.

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Jun 2011 15:51:26 +0200

qt4-x11 (4:4.7.3-1) unstable; urgency=low

  * New upstream release.
  * Remove blacklist_fraudulent_comodo_certificates.diff - stolen upstream.
  * Add patches cherry-picked upstream:
    - Fix_GL_problems_on_stock_1.4_SGX_drivers.patch
    - Fixed_missing_text_when_using_static_text_items_in_GL_2_engine.patch
    - Update_createwindow_in_qgl_x11egl.patch
    - Improve-performance-of-partial-updates-in-raster-win.patch
    - Fix_transformIsSimple_in_QGraphicsScene.patch
    - Micro-optimization_for_QSpanData.patch
    - Some_Optimizations_for_the_gray_raster.patch
    - Make_use_of_the_fast_image_paths.patch
    - Add_support_for_QT_USE_DRAG_DISTANCE_env_var.patch
    - Prevent_recursion_when_creating_window_surface.patch

  [ Pino Toscano ]
  * Build depend on libssl-dev. (Closes: #623596)

  [ Modestas Vainius ]
  * Build with system compiler on s390 (which is 4.6 now). However, in order to
    avoid #606079, build depend >= g++ 4:4.5 on s390.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop blacklist_fraudulent_comodo_certificates.diff patch, upstream.
  * Refresh patches.
  * Build depend on g++-4.6 (>= 4.6.0-7~) [armel] and make libqt4-dev break
    g++-4.6 (<< 4.6.0-7~). (Closes: #625825)
  * Drop 91_s390_use_gstabs.diff patch. It's no longer needed as webkit is not
    built from Qt sources anymore.
  * Drop 89_powerpc_opts.diff patch. No longer needed with gcc 4.4 or later.
  * Build designer library with -gstabs on powerpc to avoid gcc 4.6 dwarf2 ICE,
    which makes the package FTBFS (patch powerpc_designer_gstabs.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 04 May 2011 13:08:38 +0300

qt4-x11 (4:4.7.2-4) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Blacklist a set of fraudulent ssl certificates with the patch
    blacklist_fraudulent_comodo_certificates.diff.
  * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) with
    cve_2010_3170_ssl_certificates_wildcard.diff. This problem affects the Arora
    web browser.

  [ Pino Toscano ]
  * FireBird/ibase:
    - rules: enable the ibase plugin only if the libqt4-sql-ibase package is
      enabled for the current architecture (this allows to get rid of an
      hardcoded list of architectures in rules).
    - control: synchronize the list of architectures of libqt4-sql-ibase

